Subject: bug#38556: closed (Re: [bug#38556] [PATCH] gnu: qps: Updated to 2.0.0)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Dec 2019 19:01:02 +0000

Your bug report

#38556: [PATCH] gnu: qps: Updated to 2.0.0

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
38556: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=38556
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#38556] [PATCH] gnu: qps: Updated to 2.0.0
From: Brett Gilio <[email-masked]>
To: "Reza Alizadeh Majd" <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Dec 2019 12:59:37 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

"Reza Alizadeh Majd" <[email-masked]> writes:

> On Tue, Dec 10, 2019, at 11:06 AM, Brett Gilio wrote:
>> There is an issue with your commit message. s/Updated/Update and both
>> the commit message and sub-header need punctuation.
>
> sorry for the issue with commit message, here is an updated patch with
> amended commit message.

Hey Reza,

As Ricardo noted, if you use GNU Emacs or anything with the ability to
parse yasnippet syntax you can use those snippets provided in
guix/etc/snippets to generate these commit messages. Your revised commit
messages still has some small problems.

I have revised them as such, (from my Magit buffer):

--8<---------------cut here---------------start------------->8---
gnu: qps: Update to 2.0.0.

* gnu/packages/lxqt.scm (qps): Update to 2.0.0.

Signed-off-by: Brett Gilio <[email-masked]>

# Please enter the commit message for your changes. Lines starting
# with '#' will be ignored, and an empty message aborts the commit.
#
# Author:    Reza Alizadeh Majd <[email-masked]>
# Date:      Tue Dec 10 12:57:33 2019 +0330
#
# On branch master
# Your branch is ahead of 'origin/master' by 1 commit.
#   (use "git push" to publish your local commits)
#
# Changes to be committed:
#	modified:   gnu/packages/lxqt.scm
#
--8<---------------cut here---------------end--------------->8---

Additionally, I have built and tested the changes on my machine. It
looks fine.

I have pushed the changes to master with
fc8131638499d907153473119279cbcd7f029bc7.

Closing! Thanks.

-- 
Brett M. Gilio
Homepage -- https://scm.pw/
GNU Guix -- https://guix.gnu.org/

Subject: [PATCH] gnu: qps: Updated to 2.0.0
From: Reza Alizadeh Majd <[email-masked]>
To: [email-masked]
Cc: Reza Alizadeh Majd <[email-masked]>
Date: Tue, 10 Dec 2019 11:01:08 +0330
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/lxqt.scm (qps): Update to version 2.0.0
---
 gnu/packages/lxqt.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/lxqt.scm b/gnu/packages/lxqt.scm
index 6b9ab051b4..5a3708e30a 100644
--- a/gnu/packages/lxqt.scm
+++ b/gnu/packages/lxqt.scm
@@ -1143,14 +1143,14 @@ window manager OpenBox.")
 (define-public qps
   (package
     (name "qps")
-    (version "1.10.20")
+    (version "2.0.0")
     (source
      (origin
        (method url-fetch)
        (uri (string-append "https://github.com/lxqt/" name "/releases/download/"
                            version "/" name "-" version ".tar.xz"))
        (sha256
-        (base32 "0dz7ricxg2rrmdyca6mc2d4lyy5bpksjk751hvn95wssr76y2w0m"))))
+        (base32 "0ysnh918n9wz2vgjvyix32kx2j0v4lskjacgcychrpb8sch2dbsi"))))
     (build-system cmake-build-system)
     (inputs
      `(("libxrender" ,libxrender)
-- 
2.23.0